#use Appimage

Name:           rmg
Version:     	0.5.9
Release:        %mkrel 1
Summary:        RMG is a gui / front end for Mupen
Group:		Emulators
License:        GPL-3.0
Packager:  	Agent Smith <ruidobranco@yahoo.com.br>
URL:            https://github.com/Rosalie241/RMG
Source1:        %{name}.svg
#-----------------------------------------------------------------

%description

Rosalie's Mupen GUI is a free and open-source mupen64plus front-end written in C++.

It offers a simple-to-use user interface.

%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://github.com/Rosalie241/RMG/releases/download/v0.5.9/RMG-Portable-Linux64-v0.5.9.AppImage
chmod +x RMG-Portable-Linux64-v0.5.9.AppImage
popd

install -Dm 0755 %{_sourcedir}/RMG-Portable-Linux64-v0.5.9.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/pixmaps/%{name}.svg

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

# Installs the launcher
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Name=RMG
GenericName=rmg
Comment=%{summary}
Exec=%{name}
Icon=%{name}.svg
Categories=Game;X-MandrivaLinux-MoreApplications-Emulators;
Keywords=
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage



%changelog

* Tue May 07 2024 Agent Smith <ruidobranco@yahoo.com.br>  - 0.5.9-1pclos2024
- Updated pkg from Appimage.

* Mon Mar 04 2024 Agent Smith <ruidobranco@yahoo.com.br> - 0.5.7-1pclos2024
- Updated pkg from Appimage.

* Fri Jan 26 2024 Agent Smith <ruidobranco@yahoo.com.br> - 0.5.6-1pclos2024
- Updated pkg from Appimage.

* Fri Jan 19 2024 Agent Smith <ruidobranco@yahoo.com.br> - 0.5.5-1pclos2024
- Updated pkg from Appimage.

* Fri Oct 27 2023 Agent Smith <ruidobranco@yahoo.com.br> - 0.5.2-1pclos2023
- Created pkg from Appimage.




